org.apache.hadoop.mapreduce.jobhistory

## Class JobHistoryParser.TaskInfo

- java.lang.Object
- - org.apache.hadoop.mapreduce.jobhistory.JobHistoryParser.TaskInfo

- Enclosing class:
    JobHistoryParser

      public static class JobHistoryParser.TaskInfo
      extends Object

  TaskInformation is aggregated in this class after parsing

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<TaskAttemptID,JobHistoryParser.TaskAttemptInfo>` | `getAllTaskAttempts()`
    `Counters` | `getCounters()`
    `String` | `getError()`
    `TaskAttemptID` | `getFailedDueToAttemptId()`
    `long` | `getFinishTime()`
    `String` | `getSplitLocations()`
    `long` | `getStartTime()`
    `TaskAttemptID` | `getSuccessfulAttemptId()`
    `TaskID` | `getTaskId()`
    `String` | `getTaskStatus()`
    `TaskType` | `getTaskType()`
    `void` | `printAll()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskInfo

          public TaskInfo()

  - ### Method Detail

    - #### printAll

          public void printAll()

    - #### getTaskId

          public TaskID getTaskId()

      Returns:
        the Task ID

    - #### getStartTime

          public long getStartTime()

      Returns:
        the start time of this task

    - #### getFinishTime

          public long getFinishTime()

      Returns:
        the finish time of this task

    - #### getTaskType

          public TaskType getTaskType()

      Returns:
        the task type

    - #### getSplitLocations

          public String getSplitLocations()

      Returns:
        the split locations

    - #### getCounters

          public Counters getCounters()

      Returns:
        the counters for this task

    - #### getTaskStatus

          public String getTaskStatus()

      Returns:
        the task status

    - #### getFailedDueToAttemptId

          public TaskAttemptID getFailedDueToAttemptId()

      Returns:
        the attempt Id that caused this task to fail

    - #### getSuccessfulAttemptId

          public TaskAttemptID getSuccessfulAttemptId()

      Returns:
        the attempt Id that caused this task to succeed

    - #### getError

          public String getError()

      Returns:
        the error

    - #### getAllTaskAttempts

          public Map<TaskAttemptID,JobHistoryParser.TaskAttemptInfo> getAllTaskAttempts()

      Returns:
        the map of all attempts for this task

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.